PK_FinalTemplate< BASE > Class Template Reference

Template implementing constructors for public key algorithm classes. More...

`#include <pubkey.h>`

Inheritance diagram for PK_FinalTemplate< BASE >:

## Public Member Functions

| PK_FinalTemplate (const CryptoMaterial &key)
| PK_FinalTemplate (BufferedTransformation &bt)
| PK_FinalTemplate (const AsymmetricAlgorithm &algorithm)
| PK_FinalTemplate (const Integer &v1)
template<class T1 , class T2 >
| PK_FinalTemplate (const T1 &v1, const T2 &v2)
template<class T1 , class T2 , class T3 >
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3)
template<class T1 , class T2 , class T3 , class T4 >
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4)
template<class T1 , class T2 , class T3 , class T4 , class T5 >
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 >
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 >
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6, const T7 &v7)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 >
| PK_FinalTemplate (const T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6, const T7 &v7, const T8 &v8)
template<class T1 , class T2 >
| PK_FinalTemplate (T1 &v1, const T2 &v2)
template<class T1 , class T2 , class T3 >
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3)
template<class T1 , class T2 , class T3 , class T4 >
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4)
template<class T1 , class T2 , class T3 , class T4 , class T5 >
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 >
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 >
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6, const T7 &v7)
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 >
| PK_FinalTemplate (T1 &v1, const T2 &v2, const T3 &v3, const T4 &v4, const T5 &v5, const T6 &v6, const T7 &v7, const T8 &v8)

## Detailed Description

template<class BASE>
class PK_FinalTemplate< BASE >

Template implementing constructors for public key algorithm classes.

Definition at line 2197 of file pubkey.h.

## Constructor & Destructor Documentation

## PK_FinalTemplate() [1/19]

template<class BASE >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( |  | ) |

inline

Definition at line 2200 of file pubkey.h.

## PK_FinalTemplate() [2/19]

template<class BASE >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const CryptoMaterial & | key | ) |

inline

Definition at line 2202 of file pubkey.h.

## PK_FinalTemplate() [3/19]

template<class BASE >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | BufferedTransformation & | bt | ) |

inline

Definition at line 2205 of file pubkey.h.

## PK_FinalTemplate() [4/19]

template<class BASE >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const AsymmetricAlgorithm & | algorithm | ) |

inline

Definition at line 2208 of file pubkey.h.

## PK_FinalTemplate() [5/19]

template<class BASE >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const Integer & | v1 | ) |

inline

Definition at line 2211 of file pubkey.h.

## PK_FinalTemplate() [6/19]

template<class BASE >
template<class T1 , class T2 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const T1 & | v1,
|  | const T2 & | v2
| ) |  |

inline

Definition at line 2215 of file pubkey.h.

## PK_FinalTemplate() [7/19]

template<class BASE >
template<class T1 , class T2 , class T3 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3
| ) |  |

inline

Definition at line 2219 of file pubkey.h.

## PK_FinalTemplate() [8/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4
| ) |  |

inline

Definition at line 2223 of file pubkey.h.

## PK_FinalTemplate() [9/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 , class T5 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4,
|  | const T5 & | v5
| ) |  |

inline

Definition at line 2227 of file pubkey.h.

## PK_FinalTemplate() [10/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4,
|  | const T5 & | v5,
|  | const T6 & | v6
| ) |  |

inline

Definition at line 2231 of file pubkey.h.

## PK_FinalTemplate() [11/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4,
|  | const T5 & | v5,
|  | const T6 & | v6,
|  | const T7 & | v7
| ) |  |

inline

Definition at line 2235 of file pubkey.h.

## PK_FinalTemplate() [12/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | const T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4,
|  | const T5 & | v5,
|  | const T6 & | v6,
|  | const T7 & | v7,
|  | const T8 & | v8
| ) |  |

inline

Definition at line 2239 of file pubkey.h.

## PK_FinalTemplate() [13/19]

template<class BASE >
template<class T1 , class T2 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | T1 & | v1,
|  | const T2 & | v2
| ) |  |

inline

Definition at line 2243 of file pubkey.h.

## PK_FinalTemplate() [14/19]

template<class BASE >
template<class T1 , class T2 , class T3 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3
| ) |  |

inline

Definition at line 2247 of file pubkey.h.

## PK_FinalTemplate() [15/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4
| ) |  |

inline

Definition at line 2251 of file pubkey.h.

## PK_FinalTemplate() [16/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 , class T5 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4,
|  | const T5 & | v5
| ) |  |

inline

Definition at line 2255 of file pubkey.h.

## PK_FinalTemplate() [17/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4,
|  | const T5 & | v5,
|  | const T6 & | v6
| ) |  |

inline

Definition at line 2259 of file pubkey.h.

## PK_FinalTemplate() [18/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4,
|  | const T5 & | v5,
|  | const T6 & | v6,
|  | const T7 & | v7
| ) |  |

inline

Definition at line 2263 of file pubkey.h.

## PK_FinalTemplate() [19/19]

template<class BASE >
template<class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 >

PK_FinalTemplate< BASE >::PK_FinalTemplate | ( | T1 & | v1,
|  | const T2 & | v2,
|  | const T3 & | v3,
|  | const T4 & | v4,
|  | const T5 & | v5,
|  | const T6 & | v6,
|  | const T7 & | v7,
|  | const T8 & | v8
| ) |  |

inline

Definition at line 2267 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h